
BornAgain - Bug #1173

Revise ParticleDistribution base class

02 Sep 2015 14:24 - pospelov

Status: Archived Start date: 02 Sep 2015

Priority: Normal Due date:  

Assignee: herck % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Sprint 29   

Description

If I remember correctly, Walter has made special refactoring for ParticleDistribution to derive from IAbstractParticle instead of

IParticle. The intention was to not to allow to set its position/rotation via ParticleLayout::addParticle method. What I see now, is that

ParticleDistribution is still derived from IParticle. Code lost?

History

#1 - 24 Sep 2015 16:24 - herck

- Assignee set to herck

#2 - 25 Sep 2015 12:48 - herck

- Status changed from Sprint to Resolved

#3 - 03 Nov 2015 10:00 - pospelov

- Status changed from Resolved to Archived
